Recall a profile's memories, ranked
Ranked memories for a question. Matching runs over the profile’s memories and returns them in rank order with a relevance score; the score is null where the deployment’s reranker is a passthrough, in which case order is the only signal. No model runs in this path — recall returns facts, it does not compose an answer.
POST
/
ai
/
memory
/
namespaces
/
{namespace}
/
profiles
/
{profile_id}
/
recall
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.memory.namespaces.profiles.recall('namespace', 'profile_id', {
query: 'query',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.memory.namespaces.profiles.recall(
namespace="namespace",
profile_id="profile_id",
query="query",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Memory.Namespaces.Profiles.Recall(
context.TODO(),
"namespace",
"profile_id",
telnyx.AIMemoryNamespaceProfileRecallParams{
Query: "query",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.memory.namespaces.profiles.ProfileRecallParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ProfileRecallParams params = ProfileRecallParams.builder()
.query("query")
.build();
var response = client.ai().memory().namespaces().profiles().recall("namespace", "profile_id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.memory.namespaces.profiles.recall("namespace", "profile_id", query: "query")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->memory->namespaces->profiles->recall(
'namespace',
'profile_id',
query: 'query',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:memory:namespaces:profiles recall \
--api-key 'My API Key' \
--namespace namespace \
--profile-id profile_id \
--query querycurl --request POST \
--url https://api.telnyx.com/v2/ai/memory/namespaces/{namespace}/profiles/{profile_id}/recall \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "where do invoices go?",
"top_k": 5
}
'{
"data": [
{
"id": "mem_01HZY4",
"text": "Invoices go to 220 W Chicago Ave.",
"recorded_at": "2026-08-26T21:14:11Z",
"score": 0.82
}
]
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not find any usable credentials in the request.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "namespace_not_found",
"detail": "no such namespace"
}
]
}{
"errors": [
{
"code": "invalid_request",
"detail": "body.query: String should have at least 1 character"
}
]
}{
"errors": [
{
"code": "upstream_error",
"detail": "the memory dataplane is unavailable"
}
]
}Authorizations
Telnyx API key
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.memory.namespaces.profiles.recall('namespace', 'profile_id', {
query: 'query',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.memory.namespaces.profiles.recall(
namespace="namespace",
profile_id="profile_id",
query="query",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Memory.Namespaces.Profiles.Recall(
context.TODO(),
"namespace",
"profile_id",
telnyx.AIMemoryNamespaceProfileRecallParams{
Query: "query",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.memory.namespaces.profiles.ProfileRecallParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ProfileRecallParams params = ProfileRecallParams.builder()
.query("query")
.build();
var response = client.ai().memory().namespaces().profiles().recall("namespace", "profile_id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.memory.namespaces.profiles.recall("namespace", "profile_id", query: "query")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->memory->namespaces->profiles->recall(
'namespace',
'profile_id',
query: 'query',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:memory:namespaces:profiles recall \
--api-key 'My API Key' \
--namespace namespace \
--profile-id profile_id \
--query querycurl --request POST \
--url https://api.telnyx.com/v2/ai/memory/namespaces/{namespace}/profiles/{profile_id}/recall \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "where do invoices go?",
"top_k": 5
}
'{
"data": [
{
"id": "mem_01HZY4",
"text": "Invoices go to 220 W Chicago Ave.",
"recorded_at": "2026-08-26T21:14:11Z",
"score": 0.82
}
]
}{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not find any usable credentials in the request.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}{
"errors": [
{
"code": "namespace_not_found",
"detail": "no such namespace"
}
]
}{
"errors": [
{
"code": "invalid_request",
"detail": "body.query: String should have at least 1 character"
}
]
}{
"errors": [
{
"code": "upstream_error",
"detail": "the memory dataplane is unavailable"
}
]
}